package com.bwie.common.utils.poi.exception;

/**
 * 业务异常
 *
 * @author 
 */
public class PoiException extends RuntimeException
{
    private static final long serialVersionUID = 1L;

    protected final String message;

    public PoiException(String message) {
        this.message = message;
    }

    public PoiException(String message, Throwable e) {
        super(message, e);
        this.message = message;
    }

    @Override
    public String getMessage() {
        return message;
    }
}
