package com.bwie.buy.dao;

import com.bwie.common.pojo.DTO.DTOGoods;
import com.bwie.common.pojo.Sell;
import com.bwie.common.pojo.Shop;
import com.bwie.common.pojo.VO.VOGoods;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author FangShiBa
 * @date 2023/12/17
 * @apiNote
 */
@Component
public interface BuyDao {


    List<DTOGoods> showGoodsList(VOGoods voGoods);


    Shop findById(@Param("shopId") Integer shopId);

    void buyGood(VOGoods voGoods);

    void addSell(Sell sell);
}
