package com.bwie.list.controller;

import com.bwie.common.pojo.VO.VOShop;
import com.bwie.common.result.Result;
import com.bwie.list.service.ShopService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

@RestController
@Log4j2
public class ShopController {
    @Autowired
    private ShopService shopService;

    //展示商品列表
    @PostMapping("/shopList")
    public Result shopList(@RequestBody VOShop voShop){
        return shopService.shopList(voShop);
    }

    //上传图片
    @PostMapping("/upImg")
    public Result upImg(@RequestParam("file")MultipartFile myFile){
        return shopService.upImg(myFile);
    }
    //添加商品
    @PostMapping("/addShop")
    public Result addShop(@RequestBody VOShop shop){
        return shopService.addShop(shop);
    }

}
