package com.bwie.list.mapper;

import com.bwie.common.pojo.DTO.DTOGoods;
import com.bwie.common.pojo.Goods;
import com.bwie.common.pojo.VO.VOGoods;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface GoodsMapper {
    List<DTOGoods> goodsList(VOGoods voGoods);

    Goods findShopId(Integer shopId, Integer facilityId);

    Integer addGoods(VOGoods voGoods);

    Integer changeGoodsState(@Param("goodsId") Integer goodsId);

    Integer updateGoodsState(@Param("goodsId") Integer goodsId);


    Integer changeGoodsNum(VOGoods voGoods);

}
