package com.bwie.auth.service;

import com.bwie.common.pojo.User;
import com.bwie.common.pojo.VO.VOUser;
import com.bwie.common.result.Result;

public interface AuthService {
    /**
     * 发送验证码
     * @param phone
     * @return
     */
    Result sendCode(String phone);

    /**
     * 登录
     * @param voUser
     * @return
     */
    Result users(VOUser voUser);

    /**
     * 注册
     * @param user
     * @return
     */
    Result regUser(User user);

}
