package com.bwie.common.pojo.DTO;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;


/**
 * @author FangShiBa
 * @date 2023/12/17
 * @apiNote
 */

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
public class DTOGoods {
    private Integer goodsId;              //商品设备中间id
    private Integer shopId;               //商品id
    private Integer facilityId;           //设备id
    private Integer goodsNum;             //库存
    private Integer goodsIsDelete;        //上下架(逻辑字段: 0上架, 1下架)
    private String shopName;              //商品名称
    private Double shopPrice;             //商品价格
    private Integer typeId;               //商品类型id
    private String facilityType;          //设备类型
    private String facilitySite;          //设备地址
    private Integer replenishmentUserId;  //补货员工
    private Integer maintainUserId;       //维修员工
    private String facilityStatic;        //设备状态
    private Integer delId;                //删除状态

    //商品类型名称
    private String typeName;

    //图片
    private List<String> pictureUrl;






}
