package com.bwie.common.pojo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;


/**
 * @author FangShiBa
 * @date 2023/12/17
 * @apiNote
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
public class Facility {
    private Integer facilityId;           //设备编号
    private String facilityType;          //设备类型
    private String facilitySite;          //设备地址
    private Integer replenishmentUserId;  //补货员工
    private Integer maintainUserId;       //维修员工
    private String facilityStatic;        //设备状态
    private Integer delId;                //删除状态

}
