package com.bwie.common.pojo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author FangShiBa
 * @date 2023/12/16
 * @apiNote
 * 用户表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class User {

    /**
     * 用户编号
     */
    public Integer userId;
    /**
     * 用户名
     */
    public String userName;
    /**
     * 手机号
     */
    public String phone;
    /**
     * 邮箱
     */
    public String email;
    /**
     * 角色 1：设备管理员  2:客户
     */
    public Integer userRole;







}
