package com.bwie.list.service.impl;

import com.bwie.common.pojo.Type;
import com.bwie.common.result.Result;
import com.bwie.list.mapper.TypeMapper;
import com.bwie.list.service.TypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class TypeServiceImpl implements TypeService {
    @Autowired
    private TypeMapper typeMapper;

    @Override
    public Result findType() {
        List<Type> typeList = typeMapper.findType();
        return Result.success(typeList,"类型展示");
    }
}

